drop table Osoba
go
create table Osoba(
  id int constraint PK_Osoba primary key clustered,
  pesel char(11) constraint Q_Osoba unique,
  imie varchar(10) not null,
  nazwisko varchar(10) not null,
  adres varchar(60) not null,
  dataur datetime
)
go
exec sp_helpindex Osoba
go
exec sp_help Osoba
go

drop table Zamowienie
go
create table Zamowienie (
  id int constraint PK_Zamowienie primary key nonclustered,
  towar varchar(20) not null,
  ilosc int not null,
  osoba int constraint FK_Zamowienie_Osoba references Osoba(id) -- tutaj indeks nie jest tworzony automatycznie
)
go

sp_helpindex Zamowienie
go

create index ix_Zamowienie_Osoba on Zamowienie(osoba) --with drop_existing
go

sp_helpindex Zamowienie
go

drop index Zamowienie.ix_Zamowienie_Osoba
go

insert Osoba values(1, '12345667890', 'Jan', 'Nowak', 'ul. Bycza 102','19800101');
go

dbcc dbreindex('Osoba', PK_Osoba)
go

drop index Osoba.PK_osoba -- nie zadzia-a
alter table Osoba drop constraint PK_osoba -- nie da rady, bo jest odwo-anie z tabeli Zamowienie

alter table Zamowienie nocheck constraint FK_Zamowienie_Osoba -- to nie wystarczy
alter table Osoba drop constraint PK_osoba -- nie da rady, bo nadal jest odwo-anie z tabeli Zamowienie

alter table Zamowienie drop constraint FK_Zamowienie_Osoba
alter table Osoba drop constraint PK_osoba

-- a teraz jest k-opot, bo nie mona doda z powrotem takiego wizu