drop table dane;
go
create table dane( id int, nazwisko varchar(100), imie varchar(50) );
go
declare @start datetime, @stop datetime

set @start=getdate();
create clustered index ix_id on dane( id ) with fillfactor=100
set @stop=getdate();
print 'Index (id):            '+cast( datediff( ms, @start, @stop ) as varchar(10) );

set @start=getdate();
create nonclustered index ix_dane_nazwisko on dane( nazwisko ) with fillfactor=100
set @stop=getdate();
print 'Index (nazwisko):      '+cast( datediff( ms, @start, @stop ) as varchar(10) );

set @start=getdate();
create nonclustered index ix_dane_imie on dane( imie ) with fillfactor=100
set @stop=getdate();
print 'Index (imie):          '+cast( datediff( ms, @start, @stop ) as varchar(10) );

set @start=getdate();
create nonclustered index ix_dane_nazwisko_imie on dane( nazwisko,imie ) with fillfactor=100
set @stop=getdate();
print 'Index (nazwisko,imie): '+cast( datediff( ms, @start, @stop ) as varchar(10) );
go

declare @x int
declare @n varchar(100)
declare @i varchar(50)
declare @start datetime
declare @stop datetime

set nocount on
truncate table dane;
set @start=getdate();
set @x=1;
while @x<40000
begin
  insert dane values( @x, 'nazwisko'+cast( round(rand()*100, 0) as varchar(10) ), 'nazwisko'+cast( round(rand()*100, 0) as varchar(10) ));
  set @x=@x+1;
end;
set @stop=getdate();
print 'Czas wstawiania:       '+cast( datediff( ms, @start, @stop ) as varchar(10) );
set nocount off
go
