drop table dane;
go
create table dane( id int, nazwisko varchar(100), imie varchar(50) );
go

declare @x int
declare @n varchar(100)
declare @i varchar(50)
declare @start datetime
declare @stop datetime

set nocount on
truncate table dane;
set @start=getdate();
set @x=1;
while @x<40000
begin
  insert dane values( @x, 'nazwisko'+cast( round(rand()*100, 0) as varchar(10) ), 'imie'+cast( round(rand()*100, 0) as varchar(10) ));
  set @x=@x+1;
end;
set @stop=getdate();
print 'Czas wstawiania:       '+cast( datediff( ms, @start, @stop ) as varchar(10) );
set nocount off
go

declare @start datetime
declare @stop datetime

set nocount on

set @start=getdate();
select count(id), nazwisko from dane group by nazwisko order by nazwisko;
set @stop=getdate();
print 'Czas selekcji przed: '+cast( datediff( ms, @start, @stop ) as varchar(10) );
set @start=getdate();
select count(id), nazwisko from dane group by nazwisko order by nazwisko;
set @stop=getdate();
print 'Czas selekcji przed: '+cast( datediff( ms, @start, @stop ) as varchar(10) );
set @start=getdate();
select count(id), nazwisko from dane group by nazwisko order by nazwisko;
set @stop=getdate();
print 'Czas selekcji przed: '+cast( datediff( ms, @start, @stop ) as varchar(10) );

set nocount off

go

--drop index dane.ix_id
--drop index dane.ix_dane_nazwisko
--drop index dane.ix_dane_imie
--drop index dane.ix_dane_nazwisko_imie
--drop index dane.ix_dane_imie_nazwisko

--go
create clustered index ix_id on dane( id )
create nonclustered index ix_dane_nazwisko on dane( nazwisko ) 
create nonclustered index ix_dane_imie on dane( imie ) 
create nonclustered index ix_dane_nazwisko_imie on dane( nazwisko,imie ) 
create nonclustered index ix_dane_imie_nazwisko on dane( imie,nazwisko ) 
go

declare @start datetime
declare @stop datetime

set nocount on

set @start=getdate();
select count(id), nazwisko from dane group by nazwisko order by nazwisko;
set @stop=getdate();
print 'Czas selekcji po:    '+cast( datediff( ms, @start, @stop ) as varchar(10) );
set @start=getdate();
select count(id), nazwisko from dane group by nazwisko order by nazwisko;
set @stop=getdate();
print 'Czas selekcji po:    '+cast( datediff( ms, @start, @stop ) as varchar(10) );
set @start=getdate();
select count(id), nazwisko from dane group by nazwisko order by nazwisko;
set @stop=getdate();
print 'Czas selekcji po:    '+cast( datediff( ms, @start, @stop ) as varchar(10) );

set nocount off
go

--sp_helpindex dane

-- kombinujemy rozne zestawy indeksow i patrzymy na czasy