drop table dane
go

create table dane( nr int not null constraint PK_dane primary key, imie varchar(20), nazwisko varchar(20) )
create nonclustered index IX_dane_imie on dane ( imie )
create nonclustered index IX_dane_nazwisko on dane ( nazwisko ) with pad_index, fillfactor=80
go

declare @x int
set @x=0
set nocount on
while @x<10000
begin
  insert dane values( @x, 'imie'+cast( round( rand()*100, 0 ) as varchar(20) ), 'nazwisko'+cast( round( rand()*100, 0 ) as varchar(20) ) )
  set @x=@x+1
end
go

declare @x int
set @x=0
set nocount on
while @x<10000
begin
  if ( @x>10 and @x<20 ) or ( @x>50 and @x<100 ) or ( @x>1200 and @x<1300 )
  begin
    delete from dane where nr=@x
  end
  else
  begin
    update dane set imie='ala' where nr=@x
  end
  set @x=@x+1
end
set nocount off
go

dbcc showcontig (dane,PK_dane)
dbcc showcontig (dane,IX_dane_imie)
dbcc showcontig (dane,IX_dane_nazwisko)
dbcc showcontig (dane) with tableresults, all_indexes
go

dbcc indexdefrag( tempdb, dane, PK_dane )
dbcc indexdefrag( tempdb, dane, IX_dane_imie )
dbcc indexdefrag( tempdb, dane, IX_dane_nazwisko )
go

create nonclustered index IX_dane_nazwisko on dane ( nazwisko ) with pad_index, fillfactor=80, drop_existing
go

dbcc showcontig (dane,PK_dane)
dbcc showcontig (dane,IX_dane_imie)
dbcc showcontig (dane,IX_dane_nazwisko)
dbcc showcontig (dane) with tableresults, all_indexes
go